/*****************************************************************************/
/* SPSSload_NEDS_2015Q1Q3_IP.SPS                                          */
/* This program will load the NEDS 2015 Q1Q3 IP csv File into SPSS.         */
/*****************************************************************************/

/* Read data elements from the csv file */
get data /type = txt
    /file = "NEDS_2015Q1Q3_IP.csv"
    /delimiters = ',' 
    /variables = 
    CHRON1                   F3.0
    CHRON2                   F3.0
    CHRON3                   F3.0
    CHRON4                   F3.0
    CHRON5                   F3.0
    CHRON6                   F3.0
    CHRON7                   F3.0
    CHRON8                   F3.0
    CHRON9                   F3.0
    CHRON10                  F3.0
    CHRON11                  F3.0
    CHRON12                  F3.0
    CHRON13                  F3.0
    CHRON14                  F3.0
    CHRON15                  F3.0
    CHRON16                  F3.0
    CHRON17                  F3.0
    CHRON18                  F3.0
    CHRON19                  F3.0
    CHRON20                  F3.0
    CHRON21                  F3.0
    CHRON22                  F3.0
    CHRON23                  F3.0
    CHRON24                  F3.0
    CHRON25                  F3.0
    CHRON26                  F3.0
    CHRON27                  F3.0
    CHRON28                  F3.0
    CHRON29                  F3.0
    CHRON30                  F3.0
    DISP_IP                  F2.0
    DRG                      F3.0
    DRGVER                   F2.0
    DRG_NOPOA                F3.0
    DX1                      A7
    DX2                      A7
    DX3                      A7
    DX4                      A7
    DX5                      A7
    DX6                      A7
    DX7                      A7
    DX8                      A7
    DX9                      A7
    DX10                     A7
    DX11                     A7
    DX12                     A7
    DX13                     A7
    DX14                     A7
    DX15                     A7
    DX16                     A7
    DX17                     A7
    DX18                     A7
    DX19                     A7
    DX20                     A7
    DX21                     A7
    DX22                     A7
    DX23                     A7
    DX24                     A7
    DX25                     A7
    DX26                     A7
    DX27                     A7
    DX28                     A7
    DX29                     A7
    DX30                     A7
    DXCCS1                   F4.0
    DXCCS2                   F4.0
    DXCCS3                   F4.0
    DXCCS4                   F4.0
    DXCCS5                   F4.0
    DXCCS6                   F4.0
    DXCCS7                   F4.0
    DXCCS8                   F4.0
    DXCCS9                   F4.0
    DXCCS10                  F4.0
    DXCCS11                  F4.0
    DXCCS12                  F4.0
    DXCCS13                  F4.0
    DXCCS14                  F4.0
    DXCCS15                  F4.0
    DXCCS16                  F4.0
    DXCCS17                  F4.0
    DXCCS18                  F4.0
    DXCCS19                  F4.0
    DXCCS20                  F4.0
    DXCCS21                  F4.0
    DXCCS22                  F4.0
    DXCCS23                  F4.0
    DXCCS24                  F4.0
    DXCCS25                  F4.0
    DXCCS26                  F4.0
    DXCCS27                  F4.0
    DXCCS28                  F4.0
    DXCCS29                  F4.0
    DXCCS30                  F4.0
    DXVER                    F2.0
    ECODE1                   A7
    ECODE2                   A7
    ECODE3                   A7
    ECODE4                   A7
    E_CCS1                   F4.0
    E_CCS2                   F4.0
    E_CCS3                   F4.0
    E_CCS4                   F4.0
    HCUPFILE                 A4
    HOSP_ED                  F5.0
    INJURY                   F2.0
    INJURY_CUT               F2.0
    INJURY_DROWN             F2.0
    INJURY_FALL              F2.0
    INJURY_FIRE              F2.0
    INJURY_FIREARM           F2.0
    INJURY_MACHINERY         F2.0
    INJURY_MVT               F2.0
    INJURY_NATURE            F2.0
    INJURY_POISON            F2.0
    INJURY_SEVERITY          F2.0
    INJURY_STRUCK            F2.0
    INJURY_SUFFOCATION       F2.0
    INTENT_ASSAULT           F2.0
    INTENT_SELF_HARM         F2.0
    INTENT_UNINTENTIONAL     F2.0
    KEY_ED                   F16.0
    LOS_IP                   F5.0
    MDC                      F2.0
    MDC_NOPOA                F2.0
    MULTINJURY               F2.0
    NDX                      F3.0
    NECODE                   F3.0
    NPR_IP                   F3.0
    PCLASS_IP1               F3.0
    PCLASS_IP2               F3.0
    PCLASS_IP3               F3.0
    PCLASS_IP4               F3.0
    PCLASS_IP5               F3.0
    PCLASS_IP6               F3.0
    PCLASS_IP7               F3.0
    PCLASS_IP8               F3.0
    PCLASS_IP9               F3.0
    PRCCS_IP1                F3.0
    PRCCS_IP2                F3.0
    PRCCS_IP3                F3.0
    PRCCS_IP4                F3.0
    PRCCS_IP5                F3.0
    PRCCS_IP6                F3.0
    PRCCS_IP7                F3.0
    PRCCS_IP8                F3.0
    PRCCS_IP9                F3.0
    PRVER                    F2.0
    PR_IP1                   A7
    PR_IP2                   A7
    PR_IP3                   A7
    PR_IP4                   A7
    PR_IP5                   A7
    PR_IP6                   A7
    PR_IP7                   A7
    PR_IP8                   A7
    PR_IP9                   A7
    TOTCHG_IP                F12.2
.

/*  Assign labels to the data elements */
VARIABLE LABELS 
    CHRON1                   "Chronic condition indicator 1"
    CHRON2                   "Chronic condition indicator 2"
    CHRON3                   "Chronic condition indicator 3"
    CHRON4                   "Chronic condition indicator 4"
    CHRON5                   "Chronic condition indicator 5"
    CHRON6                   "Chronic condition indicator 6"
    CHRON7                   "Chronic condition indicator 7"
    CHRON8                   "Chronic condition indicator 8"
    CHRON9                   "Chronic condition indicator 9"
    CHRON10                  "Chronic condition indicator 10"
    CHRON11                  "Chronic condition indicator 11"
    CHRON12                  "Chronic condition indicator 12"
    CHRON13                  "Chronic condition indicator 13"
    CHRON14                  "Chronic condition indicator 14"
    CHRON15                  "Chronic condition indicator 15"
    CHRON16                  "Chronic condition indicator 16"
    CHRON17                  "Chronic condition indicator 17"
    CHRON18                  "Chronic condition indicator 18"
    CHRON19                  "Chronic condition indicator 19"
    CHRON20                  "Chronic condition indicator 20"
    CHRON21                  "Chronic condition indicator 21"
    CHRON22                  "Chronic condition indicator 22"
    CHRON23                  "Chronic condition indicator 23"
    CHRON24                  "Chronic condition indicator 24"
    CHRON25                  "Chronic condition indicator 25"
    CHRON26                  "Chronic condition indicator 26"
    CHRON27                  "Chronic condition indicator 27"
    CHRON28                  "Chronic condition indicator 28"
    CHRON29                  "Chronic condition indicator 29"
    CHRON30                  "Chronic condition indicator 30"
    DISP_IP                  "Disposition of patient (uniform) from IP"
    DRG                      "DRG in effect on discharge date"
    DRGVER                   "DRG grouper version used on discharge date"
    DRG_NOPOA                "DRG in use on discharge date, calculated without POA"
    DX1                      "Diagnosis 1"
    DX2                      "Diagnosis 2"
    DX3                      "Diagnosis 3"
    DX4                      "Diagnosis 4"
    DX5                      "Diagnosis 5"
    DX6                      "Diagnosis 6"
    DX7                      "Diagnosis 7"
    DX8                      "Diagnosis 8"
    DX9                      "Diagnosis 9"
    DX10                     "Diagnosis 10"
    DX11                     "Diagnosis 11"
    DX12                     "Diagnosis 12"
    DX13                     "Diagnosis 13"
    DX14                     "Diagnosis 14"
    DX15                     "Diagnosis 15"
    DX16                     "Diagnosis 16"
    DX17                     "Diagnosis 17"
    DX18                     "Diagnosis 18"
    DX19                     "Diagnosis 19"
    DX20                     "Diagnosis 20"
    DX21                     "Diagnosis 21"
    DX22                     "Diagnosis 22"
    DX23                     "Diagnosis 23"
    DX24                     "Diagnosis 24"
    DX25                     "Diagnosis 25"
    DX26                     "Diagnosis 26"
    DX27                     "Diagnosis 27"
    DX28                     "Diagnosis 28"
    DX29                     "Diagnosis 29"
    DX30                     "Diagnosis 30"
    DXCCS1                   "CCS: diagnosis 1"
    DXCCS2                   "CCS: diagnosis 2"
    DXCCS3                   "CCS: diagnosis 3"
    DXCCS4                   "CCS: diagnosis 4"
    DXCCS5                   "CCS: diagnosis 5"
    DXCCS6                   "CCS: diagnosis 6"
    DXCCS7                   "CCS: diagnosis 7"
    DXCCS8                   "CCS: diagnosis 8"
    DXCCS9                   "CCS: diagnosis 9"
    DXCCS10                  "CCS: diagnosis 10"
    DXCCS11                  "CCS: diagnosis 11"
    DXCCS12                  "CCS: diagnosis 12"
    DXCCS13                  "CCS: diagnosis 13"
    DXCCS14                  "CCS: diagnosis 14"
    DXCCS15                  "CCS: diagnosis 15"
    DXCCS16                  "CCS: diagnosis 16"
    DXCCS17                  "CCS: diagnosis 17"
    DXCCS18                  "CCS: diagnosis 18"
    DXCCS19                  "CCS: diagnosis 19"
    DXCCS20                  "CCS: diagnosis 20"
    DXCCS21                  "CCS: diagnosis 21"
    DXCCS22                  "CCS: diagnosis 22"
    DXCCS23                  "CCS: diagnosis 23"
    DXCCS24                  "CCS: diagnosis 24"
    DXCCS25                  "CCS: diagnosis 25"
    DXCCS26                  "CCS: diagnosis 26"
    DXCCS27                  "CCS: diagnosis 27"
    DXCCS28                  "CCS: diagnosis 28"
    DXCCS29                  "CCS: diagnosis 29"
    DXCCS30                  "CCS: diagnosis 30"
    DXVER                    "Diagnosis Version"
    ECODE1                   "E code 1"
    ECODE2                   "E code 2"
    ECODE3                   "E code 3"
    ECODE4                   "E code 4"
    E_CCS1                   "CCS: E Code 1"
    E_CCS2                   "CCS: E Code 2"
    E_CCS3                   "CCS: E Code 3"
    E_CCS4                   "CCS: E Code 4"
    HCUPFILE                 "Source of HCUP Record (SID or SEDD)"
    HOSP_ED                  "HCUP ED hospital identifier"
    INJURY                   "Injury diagnosis reported on record (1:DX1 is an injury; 2:DX2+ is an injury; 0:No injury)"
    INJURY_CUT               "Injury by cutting or piercing (by E codes)"
    INJURY_DROWN             "Injury by drowning or submersion (by E codes)"
    INJURY_FALL              "Injury by falling (by E codes)"
    INJURY_FIRE              "Injury by fire, flame or hot object (by E codes)"
    INJURY_FIREARM           "Injury by firearm (by E codes)"
    INJURY_MACHINERY         "Injury by machinery (by E codes)"
    INJURY_MVT               "Injury involving motor vehicle traffic (by E codes)"
    INJURY_NATURE            "Injury involving nature or environmental factors (by E codes)"
    INJURY_POISON            "Injury by poison (by E codes)"
    INJURY_SEVERITY          "Injury severity score assigned by ICDPIC Stata program"
    INJURY_STRUCK            "Injury from being struck by or against (by E codes)"
    INJURY_SUFFOCATION       "Injury by suffocation (by E codes)"
    INTENT_ASSAULT           "Injury by assault indicated on the record (by E codes)"
    INTENT_SELF_HARM         "Intentional self harm indicated on the record (by diagnosis and/or E codes)"
    INTENT_UNINTENTIONAL     "Unintentional injury indicated on the record (by E codes)"
    KEY_ED                   "HCUP NEDS record identifier"
    LOS_IP                   "Length of stay (cleaned) from IP"
    MDC                      "MDC in effect on discharge date"
    MDC_NOPOA                "MDC in use on discharge date, calculated without POA"
    MULTINJURY               "More than one injury diagnosis reported on record"
    NDX                      "Number of diagnoses on this record"
    NECODE                   "Number of E codes on this record"
    NPR_IP                   "Number of procedures from inpatient discharge record"
    PCLASS_IP1               "Principal procedure class for inpatient procedure"
    PCLASS_IP2               "Procedure class 2 for inpatient procedure"
    PCLASS_IP3               "Procedure class 3 for inpatient procedure"
    PCLASS_IP4               "Procedure class 4 for inpatient procedure"
    PCLASS_IP5               "Procedure class 5 for inpatient procedure"
    PCLASS_IP6               "Procedure class 6 for inpatient procedure"
    PCLASS_IP7               "Procedure class 7 for inpatient procedure"
    PCLASS_IP8               "Procedure class 8 for inpatient procedure"
    PCLASS_IP9               "Procedure class 9 for inpatient procedure"
    PRCCS_IP1                "CCS: principal procedure from inpatient discharge record"
    PRCCS_IP2                "CCS: procedure 2 from inpatient discharge record"
    PRCCS_IP3                "CCS: procedure 3 from inpatient discharge record"
    PRCCS_IP4                "CCS: procedure 4 from inpatient discharge record"
    PRCCS_IP5                "CCS: procedure 5 from inpatient discharge record"
    PRCCS_IP6                "CCS: procedure 6 from inpatient discharge record"
    PRCCS_IP7                "CCS: procedure 7 from inpatient discharge record"
    PRCCS_IP8                "CCS: procedure 8 from inpatient discharge record"
    PRCCS_IP9                "CCS: procedure 9 from inpatient discharge record"
    PRVER                    "Procedure Version"
    PR_IP1                   "Principal procedure from inpatient discharge record"
    PR_IP2                   "Procedure 2 from inpatient discharge record"
    PR_IP3                   "Procedure 3 from inpatient discharge record"
    PR_IP4                   "Procedure 4 from inpatient discharge record"
    PR_IP5                   "Procedure 5 from inpatient discharge record"
    PR_IP6                   "Procedure 6 from inpatient discharge record"
    PR_IP7                   "Procedure 7 from inpatient discharge record"
    PR_IP8                   "Procedure 8 from inpatient discharge record"
    PR_IP9                   "Procedure 9 from inpatient discharge record"
    TOTCHG_IP                "Total charge for ED and inpatient services" .

/* Convert special values to system missing values */
RECODE CHRON1                   (-99 -88 -66=SYSMIS).
RECODE CHRON2                   (-99 -88 -66=SYSMIS).
RECODE CHRON3                   (-99 -88 -66=SYSMIS).
RECODE CHRON4                   (-99 -88 -66=SYSMIS).
RECODE CHRON5                   (-99 -88 -66=SYSMIS).
RECODE CHRON6                   (-99 -88 -66=SYSMIS).
RECODE CHRON7                   (-99 -88 -66=SYSMIS).
RECODE CHRON8                   (-99 -88 -66=SYSMIS).
RECODE CHRON9                   (-99 -88 -66=SYSMIS).
RECODE CHRON10                  (-99 -88 -66=SYSMIS).
RECODE CHRON11                  (-99 -88 -66=SYSMIS).
RECODE CHRON12                  (-99 -88 -66=SYSMIS).
RECODE CHRON13                  (-99 -88 -66=SYSMIS).
RECODE CHRON14                  (-99 -88 -66=SYSMIS).
RECODE CHRON15                  (-99 -88 -66=SYSMIS).
RECODE CHRON16                  (-99 -88 -66=SYSMIS).
RECODE CHRON17                  (-99 -88 -66=SYSMIS).
RECODE CHRON18                  (-99 -88 -66=SYSMIS).
RECODE CHRON19                  (-99 -88 -66=SYSMIS).
RECODE CHRON20                  (-99 -88 -66=SYSMIS).
RECODE CHRON21                  (-99 -88 -66=SYSMIS).
RECODE CHRON22                  (-99 -88 -66=SYSMIS).
RECODE CHRON23                  (-99 -88 -66=SYSMIS).
RECODE CHRON24                  (-99 -88 -66=SYSMIS).
RECODE CHRON25                  (-99 -88 -66=SYSMIS).
RECODE CHRON26                  (-99 -88 -66=SYSMIS).
RECODE CHRON27                  (-99 -88 -66=SYSMIS).
RECODE CHRON28                  (-99 -88 -66=SYSMIS).
RECODE CHRON29                  (-99 -88 -66=SYSMIS).
RECODE CHRON30                  (-99 -88 -66=SYSMIS).
RECODE DISP_IP                  (-9 -8 -6 -5=SYSMIS).
RECODE DRG                      (-99 -88 -66=SYSMIS).
RECODE DRGVER                   (-9 -8 -6 -5=SYSMIS).
RECODE DRG_NOPOA                (-99 -88 -66=SYSMIS).
RECODE DXCCS1                   (-999 -888 -666=SYSMIS).
RECODE DXCCS2                   (-999 -888 -666=SYSMIS).
RECODE DXCCS3                   (-999 -888 -666=SYSMIS).
RECODE DXCCS4                   (-999 -888 -666=SYSMIS).
RECODE DXCCS5                   (-999 -888 -666=SYSMIS).
RECODE DXCCS6                   (-999 -888 -666=SYSMIS).
RECODE DXCCS7                   (-999 -888 -666=SYSMIS).
RECODE DXCCS8                   (-999 -888 -666=SYSMIS).
RECODE DXCCS9                   (-999 -888 -666=SYSMIS).
RECODE DXCCS10                  (-999 -888 -666=SYSMIS).
RECODE DXCCS11                  (-999 -888 -666=SYSMIS).
RECODE DXCCS12                  (-999 -888 -666=SYSMIS).
RECODE DXCCS13                  (-999 -888 -666=SYSMIS).
RECODE DXCCS14                  (-999 -888 -666=SYSMIS).
RECODE DXCCS15                  (-999 -888 -666=SYSMIS).
RECODE DXCCS16                  (-999 -888 -666=SYSMIS).
RECODE DXCCS17                  (-999 -888 -666=SYSMIS).
RECODE DXCCS18                  (-999 -888 -666=SYSMIS).
RECODE DXCCS19                  (-999 -888 -666=SYSMIS).
RECODE DXCCS20                  (-999 -888 -666=SYSMIS).
RECODE DXCCS21                  (-999 -888 -666=SYSMIS).
RECODE DXCCS22                  (-999 -888 -666=SYSMIS).
RECODE DXCCS23                  (-999 -888 -666=SYSMIS).
RECODE DXCCS24                  (-999 -888 -666=SYSMIS).
RECODE DXCCS25                  (-999 -888 -666=SYSMIS).
RECODE DXCCS26                  (-999 -888 -666=SYSMIS).
RECODE DXCCS27                  (-999 -888 -666=SYSMIS).
RECODE DXCCS28                  (-999 -888 -666=SYSMIS).
RECODE DXCCS29                  (-999 -888 -666=SYSMIS).
RECODE DXCCS30                  (-999 -888 -666=SYSMIS).
RECODE DXVER                    (-9 -8 -6 -5=SYSMIS).
RECODE E_CCS1                   (-999 -888 -666=SYSMIS).
RECODE E_CCS2                   (-999 -888 -666=SYSMIS).
RECODE E_CCS3                   (-999 -888 -666=SYSMIS).
RECODE E_CCS4                   (-999 -888 -666=SYSMIS).
RECODE HOSP_ED                  (-9999 -8888 -6666=SYSMIS).
RECODE INJURY                   (-9 -8 -6 -5=SYSMIS).
RECODE INJURY_CUT               (-9 -8 -6 -5=SYSMIS).
RECODE INJURY_DROWN             (-9 -8 -6 -5=SYSMIS).
RECODE INJURY_FALL              (-9 -8 -6 -5=SYSMIS).
RECODE INJURY_FIRE              (-9 -8 -6 -5=SYSMIS).
RECODE INJURY_FIREARM           (-9 -8 -6 -5=SYSMIS).
RECODE INJURY_MACHINERY         (-9 -8 -6 -5=SYSMIS).
RECODE INJURY_MVT               (-9 -8 -6 -5=SYSMIS).
RECODE INJURY_NATURE            (-9 -8 -6 -5=SYSMIS).
RECODE INJURY_POISON            (-9 -8 -6 -5=SYSMIS).
RECODE INJURY_SEVERITY          (-9 -8 -6 -5=SYSMIS).
RECODE INJURY_STRUCK            (-9 -8 -6 -5=SYSMIS).
RECODE INJURY_SUFFOCATION       (-9 -8 -6 -5=SYSMIS).
RECODE INTENT_ASSAULT           (-9 -8 -6 -5=SYSMIS).
RECODE INTENT_SELF_HARM         (-9 -8 -6 -5=SYSMIS).
RECODE INTENT_UNINTENTIONAL     (-9 -8 -6 -5=SYSMIS).
RECODE KEY_ED                   (-999999999999999 -888888888888888 -666666666666666=SYSMIS).
RECODE LOS_IP                   (-9999 -8888 -6666=SYSMIS).
RECODE MDC                      (-9 -8 -6 -5=SYSMIS).
RECODE MDC_NOPOA                (-9 -8 -6 -5=SYSMIS).
RECODE MULTINJURY               (-9 -8 -6 -5=SYSMIS).
RECODE NDX                      (-99 -88 -66=SYSMIS).
RECODE NECODE                   (-99 -88 -66=SYSMIS).
RECODE NPR_IP                   (-99 -88 -66=SYSMIS).
RECODE PCLASS_IP1               (-99 -88 -66=SYSMIS).
RECODE PCLASS_IP2               (-99 -88 -66=SYSMIS).
RECODE PCLASS_IP3               (-99 -88 -66=SYSMIS).
RECODE PCLASS_IP4               (-99 -88 -66=SYSMIS).
RECODE PCLASS_IP5               (-99 -88 -66=SYSMIS).
RECODE PCLASS_IP6               (-99 -88 -66=SYSMIS).
RECODE PCLASS_IP7               (-99 -88 -66=SYSMIS).
RECODE PCLASS_IP8               (-99 -88 -66=SYSMIS).
RECODE PCLASS_IP9               (-99 -88 -66=SYSMIS).
RECODE PRCCS_IP1                (-99 -88 -66=SYSMIS).
RECODE PRCCS_IP2                (-99 -88 -66=SYSMIS).
RECODE PRCCS_IP3                (-99 -88 -66=SYSMIS).
RECODE PRCCS_IP4                (-99 -88 -66=SYSMIS).
RECODE PRCCS_IP5                (-99 -88 -66=SYSMIS).
RECODE PRCCS_IP6                (-99 -88 -66=SYSMIS).
RECODE PRCCS_IP7                (-99 -88 -66=SYSMIS).
RECODE PRCCS_IP8                (-99 -88 -66=SYSMIS).
RECODE PRCCS_IP9                (-99 -88 -66=SYSMIS).
RECODE PRVER                    (-9 -8 -6 -5=SYSMIS).
RECODE TOTCHG_IP                (-99999999.99 -88888888.88 -66666666.66=SYSMIS).

SAVE OUTFILE = 'NEDS_2015Q1Q3_IP.SAV' / COMPRESSED.
